Strophe 0.13 XMPP client library

Data Structures | Macros | Functions
sha1.h File Reference

SHA-1 hash API. More...

## Data Structures
struct | SHA1_CTX

## Macros
#define | SHA1_DIGEST_SIZE 20

## Functions
void | crypto_SHA1_Init (SHA1_CTX *context)
void | crypto_SHA1_Update (SHA1_CTX *context, const uint8_t *data, size_t len)
void | crypto_SHA1_Final (SHA1_CTX *context, uint8_t *digest)
void | crypto_SHA1 (const uint8_t *data, size_t len, uint8_t *digest)

## Detailed Description

SHA-1 hash API.

## Macro Definition Documentation

## ◆ SHA1_DIGEST_SIZE

#define SHA1_DIGEST_SIZE 20

## Function Documentation

## ◆ crypto_SHA1_Init()

void crypto_SHA1_Init | ( | SHA1_CTX * | context | ) |

## ◆ crypto_SHA1_Update()

void crypto_SHA1_Update | ( | SHA1_CTX * | context,
|  | const uint8_t * | data,
|  | size_t | len )

## ◆ crypto_SHA1_Final()

void crypto_SHA1_Final | ( | SHA1_CTX * | context,
|  | uint8_t * | digest )

## ◆ crypto_SHA1()

void crypto_SHA1 | ( | const uint8_t * | data,
|  | size_t | len,
|  | uint8_t * | digest )